Skip to main content
GET
/
api
/
v1
/
collections
/
{collectionId}
cURL
curl https://app.okrapdf.com/api/v1/collections/col-abc123 \
  -H "Authorization: Bearer okra_YOUR_KEY"
{
  "id": "col-abc123def456",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "metadata": {},
  "documents": [
    {
      "job_id": "<string>",
      "file_name": "<string>",
      "status": "queued",
      "total_pages": 123,
      "added_at": "2023-11-07T05:31:56Z"
    }
  ]
}
Flexible lookup. You can pass either a collection ID (col-xxx) or a collection name as the path parameter.

Authorizations

Authorization
string
header
required

API key as Bearer token: Authorization: Bearer okra_xxx

Path Parameters

collectionId
string
required

Collection ID or name

Response

Collection details with documents

id
string
required
Example:

"col-abc123def456"

name
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
metadata
object
documents
object[]